Table(3)

NAME
Apache::Table - Perl interface to the Apache table structure

SYNOPSIS
    use Apache::Table ();

    my $headers_out = $r->headers_out;
    while(my($key,$val) = each %$headers_out) {
    ...
    }

    my $table = $r->headers_out;
    $table->set(From => 'dougm@perl.apache.org');

mod_perl needs to be compiled with at least one of the following options:

 DYNAMIC=1
 PERL_TABLE_API=1
 EVERYTHING=1

DESCRIPTION
This module provides tied interfaces to Apache data structures.

  CLASSES

Apache::Table
    The Apache::Table class provides methods for interfacing with the Apache "table" structure. The following Apache class methods, when called in a scalar context with no "key" argument, will return a HASH reference blessed into the Apache::Table class and where HASH is tied to Apache::Table:

     headers_in
     headers_out
     err_headers_out
     notes
     dir_config
     subprocess_env

  METHODS

    get Corresponds to the "ap_table_get" function.

            my $value = $table->get($key);

            my $value = $headers_out->{$key};

    set Corresponds to the "ap_table_set" function.

            $table->set($key, $value);

            $headers_out->{$key} = $value;

    unset
        Corresponds to the "ap_table_unset" function.

            $table->unset($key);

            delete $headers_out->{$key};

    clear
        Corresponds to the "ap_table_clear" function.

            $table->clear;

            %$headers_out = ();

    add Corresponds to the "ap_table_add" function.

            $table->add($key, $value);

    merge
        Corresponds to the "ap_table_merge" function.

            $table->merge($key, $value);

AUTHOR
Doug MacEachern

SEE ALSO
Apache(3), mod_perl(3)